<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.LocalManagerActivity">

    <LinearLayout
        android:id="@+id/linearLayout2"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_32"
        android:background="@color/white"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/search_iv_back"
            android:layout_width="@dimen/dp_16"
            android:layout_height="@dimen/dp_16"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="@dimen/dp_8"
            android:adjustViewBounds="true"
            android:onClick="finish"
            android:scaleType="centerInside"
            android:src="@drawable/ic_back" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="10dp"
            android:gravity="center_vertical"
            android:singleLine="true"
            android:text="本地管理"
            android:textColor="@color/default_text_color"
            android:textSize="@dimen/sp_12"
            android:textStyle="bold" />

    </LinearLayout>


    <com.scwang.smartrefresh.layout.SmartRefreshLayout
        android:id="@+id/local_app_refresh_layout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:background="@color/white"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout2">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/local_app_rv_app"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                tools:listitem="@layout/item_local_app" />

            <ImageView
                android:id="@+id/iv_nodata"
                android:layout_width="300dp"
                android:layout_height="300dp"
                android:layout_centerInParent="true"
                android:adjustViewBounds="true"
                android:scaleType="centerInside"
                android:src="@drawable/icon_nodata"
                android:visibility="gone">

            </ImageView>
        </RelativeLayout>

    </com.scwang.smartrefresh.layout.SmartRefreshLayout>

</androidx.constraintlayout.widget.ConstraintLayout>